Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZAd Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ()
| id ()
& | name ()
& | description ()
& | url ()
& | clickPrice ()
& | viewPrice ()
| isActive ()
| useHTML ()
& | htmlBanner ()
& | viewStartDate ()
& | viewStopDate ()
| setName ( $value)
| setDescription ( $value)
| setURL ( $value)
| setClickPrice ( $value)
| setViewPrice ( $value)
| setIsActive ( $value)
| setHTMLBanner ( $value)
| setUseHTML ( $value)
& | categories ()
| removeFromCategories ()
| setImage ( $value)
| deleteImage ( $value)
| image ()
| addPageView ()
| viewCount ()
| clickCount ()
| totalViewRevenue ()
| totalClickRevenue ()

## Public Attributes
| $ID
| $Name
| $Description
| $ImageID
| $URL
| The URL to go to when the banner is clicked. More...
| $ViewStartDate
| $ClickPrice
| $ViewPrice
| $HTMLBanner
| $UseHTML
| $IsActive
| Indicates if the banner is active or not. More...
| $ViewRule
| Indicates if the banner should be viewed by date or by clicks. More...

## Detailed Description

! eZAd eZAd handles banner ads.

See also
  eZAdCategory

TODO

Definition at line 45 of file ezad.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAd::__construct | ( |  | $id = `""` | ) |

Constructs a new eZAd object.

If $id is set the object's values are fetched from the database.

Definition at line 53 of file ezad.php.

References $ID, and $id.

## Member Function Documentation

## ◆ addPageView()

eZAd::addPageView | ( |  | ) |

Adds a pageview to the banner.

Definition at line 465 of file ezad.php.

References $date, $db, $query, $res, and eZDB\globalDatabase().

Referenced by store().

## ◆ categories()

& eZAd::categories | ( |  | ) |

Returns the categrories an ad is assigned to.

The categories are returned as an array of eZAdCategory objects.

Definition at line 385 of file ezad.php.

References $category, $category_array, $db, $ret, and eZDB\globalDatabase().

## ◆ clickCount()

eZAd::clickCount | ( |  | ) |

Returns the total number of times the banner has been clicked.

Definition at line 555 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ clickPrice()

& eZAd::clickPrice | ( |  | ) |

Returns the ad's click price.

Definition at line 229 of file ezad.php.

References $ClickPrice.

## ◆ delete()

eZAd::delete | ( |  | ) |

Deletes a eZAd object from the database.

Definition at line 178 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ deleteImage()

eZAd::deleteImage | ( |  | $value | ) |

Deletes the banner ad image.

NOTE: the image also gets deleted from the image catalogue.

Definition at line 431 of file ezad.php.

References $db, $image, and eZDB\globalDatabase().

## ◆ description()

& eZAd::description | ( |  | ) |

Returns the ad's description.

Definition at line 213 of file ezad.php.

## ◆ get()

eZAd::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 143 of file ezad.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ htmlBanner()

& eZAd::htmlBanner | ( |  | ) |

Returns the ad's HTML banner.

Definition at line 273 of file ezad.php.

References $HTMLBanner.

## ◆ id()

eZAd::id | ( |  | ) |

Returns the object ID.

Definition at line 197 of file ezad.php.

References $ID.

## ◆ image()

eZAd::image | ( |  | ) |

Returns the banner ad image.

Definition at line 447 of file ezad.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ isActive()

eZAd::isActive | ( |  | ) |

Returns true if the ad is active false if not.

Definition at line 245 of file ezad.php.

References $ret.

## ◆ name()

& eZAd::name | ( |  | ) |

Returns the ad's name.

Definition at line 205 of file ezad.php.

References Name.

## ◆ removeFromCategories()

eZAd::removeFromCategories | ( |  | ) |

Removes every category assignments from the current ad.

Definition at line 405 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ setClickPrice()

eZAd::setClickPrice | ( |  | $value | ) |

Sets the click price.

Definition at line 327 of file ezad.php.

## ◆ setDescription()

eZAd::setDescription | ( |  | $value | ) |

Sets the ad's description.

Definition at line 311 of file ezad.php.

## ◆ setHTMLBanner()

eZAd::setHTMLBanner | ( |  | $value | ) |

Sets the HTML banner code.

Definition at line 360 of file ezad.php.

## ◆ setImage()

eZAd::setImage | ( |  | $value | ) |

Sets the banner ad image.

Definition at line 416 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ setIsActive()

eZAd::setIsActive | ( |  | $value | ) |

Sets the ad to active or not.

Definition at line 345 of file ezad.php.

## ◆ setName()

eZAd::setName | ( |  | $value | ) |

Sets the ad's name.

Definition at line 303 of file ezad.php.

References Name.

## ◆ setURL()

eZAd::setURL | ( |  | $value | ) |

Sets the URL which the ad should link to.

Definition at line 319 of file ezad.php.

## ◆ setUseHTML()

eZAd::setUseHTML | ( |  | $value | ) |

Sets the ad to use html banner or not.

Definition at line 368 of file ezad.php.

## ◆ setViewPrice()

eZAd::setViewPrice | ( |  | $value | ) |

Sets the view price.

Definition at line 336 of file ezad.php.

## ◆ store()

eZAd::store | ( |  | ) |

Stores a product to the database.

Definition at line 67 of file ezad.php.

References $db, $name, $res, $url, addPageView(), eZDB\globalDatabase(), and Name.

## ◆ totalClickRevenue()

eZAd::totalClickRevenue | ( |  | ) |

Returns the banner's total click revenue.

Definition at line 583 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ totalViewRevenue()

eZAd::totalViewRevenue | ( |  | ) |

Returns the banner's total view revenue.

Definition at line 570 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ url()

& eZAd::url | ( |  | ) |

Returns the ad's url.

Definition at line 221 of file ezad.php.

References $URL.

## ◆ useHTML()

eZAd::useHTML | ( |  | ) |

Returns true if the ad is set to use HTML banners.

Definition at line 259 of file ezad.php.

References $ret.

## ◆ viewCount()

eZAd::viewCount | ( |  | ) |

Returns the total number of times the banner has been viewed.

Definition at line 541 of file ezad.php.

References $db, and eZDB\globalDatabase().

## ◆ viewPrice()

& eZAd::viewPrice | ( |  | ) |

Returns the ad's view price.

Definition at line 237 of file ezad.php.

References $ViewPrice.

## ◆ viewStartDate()

& eZAd::viewStartDate | ( |  | ) |

Returns the view start date.

Definition at line 281 of file ezad.php.

References $dateTime.

## ◆ viewStopDate()

& eZAd::viewStopDate | ( |  | ) |

Returns the view stop date.

Definition at line 292 of file ezad.php.

References $dateTime.

## Member Data Documentation

## ◆ $ClickPrice

eZAd::$ClickPrice

Definition at line 600 of file ezad.php.

Referenced by clickPrice().

## ◆ $Description

eZAd::$Description

Definition at line 596 of file ezad.php.

## ◆ $HTMLBanner

eZAd::$HTMLBanner

Definition at line 603 of file ezad.php.

Referenced by htmlBanner().

## ◆ $ID

eZAd::$ID

Definition at line 594 of file ezad.php.

Referenced by __construct(), and id().

## ◆ $ImageID

eZAd::$ImageID

Definition at line 597 of file ezad.php.

## ◆ $IsActive

eZAd::$IsActive

Indicates if the banner is active or not.

Definition at line 607 of file ezad.php.

## ◆ $Name

eZAd::$Name

Definition at line 595 of file ezad.php.

## ◆ $URL

eZAd::$URL

The URL to go to when the banner is clicked.

Definition at line 598 of file ezad.php.

Referenced by url().

## ◆ $UseHTML

eZAd::$UseHTML

Definition at line 604 of file ezad.php.

## ◆ $ViewPrice

eZAd::$ViewPrice

Definition at line 601 of file ezad.php.

Referenced by viewPrice().

## ◆ $ViewRule

eZAd::$ViewRule

Indicates if the banner should be viewed by date or by clicks.

Definition at line 610 of file ezad.php.

## ◆ $ViewStartDate

eZAd::$ViewStartDate

Definition at line 599 of file ezad.php.

The documentation for this class was generated from the following file:

- ezad.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.